> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revenuebase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate your API key

> ⚠️ Deprecated — use [POST /v2/account/api-keys/rotate](https://docs.revenuebase.ai/api-reference/account/rotate-your-api-key) instead. Sunset: Tue, 07 Jul 2026.

Generates a new API key and immediately invalidates the previous one. Update all integrations with the new key before making further requests.



## OpenAPI

````yaml https://api.revenuebase.ai/v1/openapi.json get /v1/new-api-key
openapi: 3.1.0
info:
  title: Revenuebase Email Verification
  description: >-
    This API provides endpoints for validating email addresses individually or
    through file uploads.
  version: 0.1.0
servers:
  - url: https://api.revenuebase.ai
security: []
paths:
  /v1/new-api-key:
    get:
      tags:
        - User Operations
      summary: Rotate your API key
      description: >-
        ⚠️ Deprecated — use [POST
        /v2/account/api-keys/rotate](https://docs.revenuebase.ai/api-reference/account/rotate-your-api-key)
        instead. Sunset: Tue, 07 Jul 2026.


        Generates a new API key and immediately invalidates the previous one.
        Update all integrations with the new key before making further requests.
      operationId: new_api_key_v1_new_api_key_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewKeyResponse'
      deprecated: true
      security:
        - APIKeyHeader: []
components:
  schemas:
    NewKeyResponse:
      properties:
        api_key:
          type: string
          title: Api Key
      type: object
      required:
        - api_key
      title: NewKeyResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-key

````